Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.layout
Class GridLayoutData

    java.lang.Object
      nextapp.echo2.app.layout.CellLayoutData
          nextapp.echo2.app.layout.GridLayoutData

All Implemented Interfaces:
  java.io.Serializable, LayoutData

    public class GridLayoutData

extends CellLayoutData

A `LayoutData` object used to describe how a `Component` is rendered within a `Grid`.

See Also:
  Serialized Form

Constructor Summary
`GridLayoutData()`

Method Summary
`int` | `getColumnSpan()` Returns the column span of the cell.
`int` | `getRowSpan()` Returns the row span of the cell.
`void` | `setColumnSpan(int newValue)` Sets the column span of the cell.
`void` | `setRowSpan(int newValue)` Sets the row span of the cell.

Methods inherited from class nextapp.echo2.app.layout.CellLayoutData
`getAlignment, getBackground, getBackgroundImage, getInsets, setAlignment, setBackground, setBackgroundImage, setInsets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridLayoutData

    public GridLayoutData()

Method Detail

### getColumnSpan

    public int getColumnSpan()

  Returns the column span of the cell.

  Returns:
    the column span

### getRowSpan

    public int getRowSpan()

  Returns the row span of the cell.

  Returns:
    the row span

### setColumnSpan

    public void setColumnSpan(int newValue)

  Sets the column span of the cell.

  Parameters:
    `newValue` - the new column span

### setRowSpan

    public void setRowSpan(int newValue)

  Sets the row span of the cell.

  Parameters:
    `newValue` - the new row span

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD